Interface: SessionInfo
Gala Launchpad SDK 9.0.0-rc.5 / index / SessionInfo
Interface: SessionInfo
Defined in: packages/launchpad-sdk/dist/types/session-auth.dto.d.ts:49
Session information from GET /auth/session
Provides details about the current authenticated session.
Properties
address
address:
AddressFormat
Defined in: packages/launchpad-sdk/dist/types/session-auth.dto.d.ts:51
Authenticated wallet address
expiresAt
expiresAt:
string
Defined in: packages/launchpad-sdk/dist/types/session-auth.dto.d.ts:55
Token expiration timestamp (ISO 8601)
issuedAt
issuedAt:
string
Defined in: packages/launchpad-sdk/dist/types/session-auth.dto.d.ts:53
Token issue timestamp (ISO 8601)